Description

Related issues:

Related to Conversion Tools - Feature #4105: improve flexibility of schema lo... Closed

History

#1 - 04/06/2022 06:42 PM - Greg Shah

- Related to Feature #4105: improve flexibility of schema loading added

#2 - 04/06/2022 06:45 PM - Greg Shah

In #4105, many improvements were made to simplify the namespace configuration in p2j.cfg.xml.

I have 2 additional requests:

Let's set default="true" by default.  I'm finding that I'm nearly always having to explicitly code this.  I think it should be the opposite: if we don't

want something defaulted, then we explicitly code default="false".

By default, all namespaces should automatically get the metadata defined.  We should not have to copy <namespace name="standard" /> into

every profile.

#3 - 04/22/2022 06:28 PM - Ovidiu Maxiniuc

- Status changed from New to WIP

The implementation for the initial two requests can be found in FWD starting with r13811 of 3821c.

We should keep the task open for other improvements in this area.

#4 - 04/24/2022 09:07 AM - Greg Shah

With 13811, the metadata schema can be loaded twice.  This was seen in a customer project which then had ambiguous references (e.g. unexpected

token: _file._file-name).  The code needs to be protected from this.  It should be loaded by default but never loaded twice.  We had to force

default=false in the global metadata schema namespace to avoid this, but that is just a workaround.

Constantin: Can you provide any other clarification?
https://proj.goldencode.com/issues/4105


#5 - 04/26/2022 08:52 AM - Constantin Asofiei

What was frustrating was that in my local testing worked, but with the main project it abended - and this was only because the standard namespace

(in p2j.cfg.xml) was located first in the <schema> children, while in that project it was last.  This somehow triggered loading it twice and abended.
